#!/usr/bin/perl -w
use strict;

my @langs = ('de','fr','es','cz');
my @test_sets = ('newssyscombtest2011');

my $combinedJudgmentsFile = $ARGV[0];

print "\t";
print `cat $combinedJudgmentsFile | grep $langs[0]-en |  perl generate-table.perl | grep -v n/a | python spearmans-rank.py | head -2 | tail -1`;
foreach my $src_lang (@langs) {
    print "$src_lang-en (";
    my $numSystems = `cat $combinedJudgmentsFile | grep $src_lang-en |  perl generate-table.perl | grep -v n/a | wc -l`;
    $numSystems =~ s/\s//g;
    print ($numSystems-2);
    print " systems)\t";
    print `cat $combinedJudgmentsFile | grep $src_lang-en |  perl generate-table.perl | grep -v n/a | python spearmans-rank.py | head -3 | tail -1`;
}

@langs = ('de','fr','es','cz');
print "\n\n\t";
print `cat $combinedJudgmentsFile | grep en-$langs[0] |  perl generate-table.perl | grep -v n/a | python spearmans-rank.py | head -2 | tail -1`;
foreach my $src_lang (@langs) {
    print "en-$src_lang (";
    my $numSystems = `cat $combinedJudgmentsFile | grep en-$src_lang |  perl generate-table.perl | grep -v n/a | wc -l`;
    $numSystems =~ s/\s//g;
    print ($numSystems-2);
    print " systems)\t";
    print `cat $combinedJudgmentsFile | grep en-$src_lang |  perl generate-table.perl | grep -v n/a | python spearmans-rank.py | head -3 | tail -1`;
}
